NAME(9)

NAME
insert_file_free - adds a file entry into the file table

SYNOPSIS
linux/fs/file_table.c
static void insert_file_free(struct file *file);

DESCRIPTION
This nightmare of pointers adds file into the file table with the root pointer at file. This is a building block of the file table management.

AUTHOR
Linus Torvalds

SEE ALSO
file_table_init(9), remove_file_free(9), put_last_free(9)

See file_table(9) for details on the file table structure.